
/* ---------------------------------------------------------
-------------------------------------     Provider Directory 
----------------------------------------------------------*/

/* Page header */
#page-header.page-header-provider-directory { }
#page-header.page-header-provider-directory .text-area { }
#page-header.page-header-provider-directory .text-area h2 { text-align: center; }
#page-header.page-header-provider-directory .provider-directory-master-search { }
#page-header.page-header-provider-directory .provider-directory-master-search form { }
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper {display: flex; background: #fff;border-radius:45px;padding: 10px;}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .search-type-toggle {display: flex;background: #18710F;border-radius: 40px;gap: 0;overflow: hidden;padding: 10px;/* flex: auto; */}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .search-type-toggle .item {display: flex;align-items: center;}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .search-type-toggle .item a {color: #fff;padding: 10px 20px;border-radius: 25px;display: block;margin: 0;height: 100%;transition: all 0.3s ease;}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .search-type-toggle .item.active a { color:#000; background:#fff; }
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .input-wrapper {flex: auto;position: relative;}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .input-wrapper input[type="text"]{display: none;height: 100%;width: 100%;border: none!important;font-weight: 600;color: #000;background: none!important;padding-left: 40px;}
#page-header.page-header-provider-directory .provider-directory-master-search.searching-name #provider-directory-search-input { display:block; }
#page-header.page-header-provider-directory .provider-directory-master-search.searching-location #provider-directory-location-input { display:block; }
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper input[type="submit"] {text-transform: capitalize;font-weight: 600!important;}
#page-header.page-header-provider-directory .provider-directory-master-search .search-bar-wrapper .input-wrapper input[type="text"] { display:block; }
#page-header.page-header-provider-directory .provider-directory-master-search .input-wrapper::after {content:'\f002';flex: 0 0 30px;color: #000;display: inline-block;font-family: "Font Awesome 5 Free";font-weight: 700;font-style: normal;margin: 0;text-decoration:none;transition:all 0.3s ease;font-size: 16px;line-height: 1em; position: absolute;top: 50%;left: 15px;transform: translateY(-50%);}


/* Main layout */
#provider-directory .main-inner { display:block; }
#provider-directory .main-inner .provider-directory-page-cols {display: flex;gap: 30px;position: relative;align-items: flex-start;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar {flex: 1; /*position: sticky;top: 15px; */}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .sidebar-inner {padding: 25px 30px;border-radius: 30px;box-shadow: 0 1px 9px 0px #00000061;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .sidebar-headline h3 {font-size: 32px;}
#provider-directory .main-inner .provider-directory-page-cols .col-primary {flex: 2;}

/* Sidebar*/
#provider-directory .col-sidebar .filter-group-wrapper {margin: 0 0 15px;}
#provider-directory .col-sidebar .filter-group-wrapper:not(#events-filter-group-type) { display:none; }
#provider-directory[data-type-showing="agency"] .col-sidebar .filter-group-wrapper[data-type-group="agency"] {display: block!important;}
#provider-directory[data-type-showing="practitioner"] .col-sidebar .filter-group-wrapper[data-type-group="practitioner"] {display: block!important;}

#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-headline {padding: 0 0 10px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-headline h4 {font-weight: 600;font-size: 21px;padding: 0;margin: 0;}

#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-pills {display: flex;flex-wrap: wrap;gap: 7px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-pills button {font-size: 17px!important;padding: 10px 13px!important;border-radius: 10px!important;border: none!important;font-weight: 500!important;text-transform: capitalize;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-pills button:hover { }
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-wrapper .filter-group-pills button.active { }

#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select {    max-width: 453px;position: relative;border: 1px solid #707070;border-radius: 30px;cursor: pointer;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select h6 {padding: 12px 45px 12px 15px;margin: 0;font-size: 18px;font-weight: 600;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 100%;min-width: 0;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select h6::after {content: "";position: absolute;width: 0;height: 0;border-left: 12px solid transparent;border-right: 12px solid transparent;border-top: 15px solid #3D9336;right: 20px;top: 50%;margin-top: -7px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element {position: absolute;top: 100%;left: 0;width: calc(100% + 2px);background: #fff;z-index: 1;max-height: 0;overflow: hidden;border-bottom-left-radius: 15px;border-bottom-right-radius: 15px;/* padding: 15px; */margin: 0 0 0 -1px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element .item {padding: 5px 10px;font-size: 20px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element .item:last-child {padding-bottom: 15px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element .item label {cursor: pointer;margin: 0;display: block; gap: 10px;position: relative;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element .item input {position: absolute;top: 5px;left: 0;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select .filter-group-element .item .checkbox-label {    pointer-events: none;line-height: 1.2em;display: block;padding-left: 22px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select.active {border-bottom-left-radius: 0;border-bottom-right-radius: 0;border-bottom: none; }
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-select.active .filter-group-element {    max-height: 250px;  overflow-y: auto;border: 1px solid #707070;border-top: none; }

#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-buttons .filter-group-element{ display: flex;gap: 10px;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-buttons .item {background: #EFEFEF;padding: 7px 20px;border-radius: 25px;font-weight: 600;font-size: 16px;transition: all 0.3s ease;cursor: pointer;}
#provider-directory .main-inner .provider-directory-page-cols .col-sidebar .filter-group-buttons .item.active { background:#FFCC33; }






/* Results header */
#provider-directory .provider-directory-results-header {padding: 0;}
#provider-directory .provider-directory-results-header .letter-filters {display: flex;flex-wrap: wrap;gap: 10px;padding: 0 0 20px;}
#provider-directory .provider-directory-results-header .letter-filters button {    color: #000;border: 1px solid #000;padding: 0!important;width: 45px;height: 35px;display: flex!important;align-items: center;justify-content: center;background: #fff;font-size: 16px!important;border-radius: 10px!important;font-weight: 600!important;}
#provider-directory .provider-directory-results-header .letter-filters button.active {background: #18710F;color: #fff;}
#provider-directory .provider-directory-results-header .letter-filters button:hover { }
#provider-directory .provider-directory-results-header hr {border-top: 1px solid #C3C3C3;margin: 0;}
#provider-directory .provider-directory-results-header .results-meta {display: flex;align-items: center;justify-content: space-between;padding: 20px 0;font-size: 20px;}
#provider-directory .provider-directory-results-header .results-meta .results-meta-showing { }
#provider-directory .provider-directory-results-header .results-meta .results-meta-showing .count {font-weight: 600;}
#provider-directory .provider-directory-results-header .results-meta .results-meta-filter-per-page  {display: flex;align-items: center;gap: 10px;display: none;}
#provider-directory .provider-directory-results-header .results-meta .results-meta-filter-per-page .filter-per-page-select-wrapper {padding: 5px 15px 5px 15px;border-radius: 20px;color: #000;border: 1px solid #000;padding: 0;overflow: hidden;/* cursor: pointer; */position: relative;display: block;}
#provider-directory .provider-directory-results-header .results-meta .results-meta-filter-per-page #provider-directory-filter-per-page {margin: 0 10px 0 0;padding: 5px 10px!important;border: none!important;color: #000;outline: none!important;cursor: pointer;/* position: static; */font-size: 20px;font-weight: 500;max-width: 80px;}


#provider-directory #provider-directory-results-cards {gap: 20px;flex-flow: column;display: flex; }


/* Cards Common */



/* Practice Cards */
#provider-directory .practice-card {border-radius: 30px;box-shadow: 0 1px 9px 0px #00000061;overflow: hidden;position: relative;}
#provider-directory .practice-card[class*='hidden'] { display: none;}
#provider-directory .practice-card .practice-card-inner {padding: 30px;}
#provider-directory .practice-card .top {display: flex;align-items: center;gap: 25px;}
#provider-directory .practice-card .top .card-col-info {flex: 1;}
#provider-directory .practice-card .top .card-name { }
#provider-directory .practice-card .top .card-name h3 {font-size: 34px;}
#provider-directory .practice-card .top .card-service { }
#provider-directory .practice-card .top .card-address { }
#provider-directory .practice-card .top .card-col-tags {display: flex;gap: 5px;flex-wrap: wrap;flex: 0.75;}
#provider-directory .practice-card .top .card-col-tags .item {background: #EFEFEF;font-weight: 700;padding: 10px 15px;border-radius: 20px;font-size: 20px;}
#provider-directory .practice-card .accessibility {display: flex;gap: 5px;flex-wrap: wrap; }
#provider-directory .practice-card .accessibility .item {background: #EFEFEF;font-weight: 700;padding: 10px 15px;border-radius: 20px;font-size: 20px;text-transform: capitalize;}
#provider-directory .practice-card .accessibility:has(.item) {padding: 15px 0;}

#provider-directory .practice-card .card-main-sep {/* display: none; */margin: 15px 0;}
#provider-directory .practice-card  .list-items {column-count: 2;padding: 5px 0;}
#provider-directory .practice-card  .list-items .item {padding: 3px 0;}
#provider-directory .practice-card  .list-items .item.item-languages .item::after { content:", " }
#provider-directory .practice-card  .list-items .item.item-languages .item:last-child::after { display:none; }

#provider-directory .practice-card .practitioners {display: none;}
#provider-directory .practice-card .practitioners .practitioners-label {font-weight: 600;cursor: pointer;}
#provider-directory .practice-card .practitioners .practitioners-label .toggle { font-size: 20px;line-height: 1em;}
#provider-directory .practice-card .practitioners .practitioners-label .toggle i {transition: transform 0.3s ease;}
#provider-directory .practice-card .practitioners .practitioners-list {display: none;}
#provider-directory .practice-card .practitioners .practitioners-list .practitioner-card { margin:20px 0;}
#provider-directory .practice-card .practitioners .practitioners-list:has(.practitioner-card) { }
#provider-directory .practice-card .practitioners.active .practitioners-list{display: block;}
#provider-directory .practice-card .practitioners.active .practitioners-label .toggle i {transform: rotate(180deg);}

#provider-directory .practice-card .ctas {display: flex;gap: 10px;}
#provider-directory .practice-card .ctas a {width: 50%; }
#provider-directory .practice-card .ctas:has(a) {padding: 15px 0 0;border-top: 1px solid #ccc;margin: 15px 0 0;}

#provider-directory-results-cards-load-more { padding: 40px 0 15px; }
#provider-directory-results-cards-load-more button { display: block !important; width: 100%;margin: 0 auto;max-width: 500px; }





/* Practitioner Cards */


#provider-directory .practitioner-card {border-radius: 30px; overflow: hidden;position: relative;background: #E8F4FA;font-size: 20px;}
#provider-directory .practitioner-card .practitioner-card-inner {padding: 30px;}
#provider-directory .practitioner-card .top {display: flex;}
#provider-directory .practitioner-card .top .top-main {flex: 2;}
#provider-directory .practitioner-card .top .top-main .name {display: flex;gap: 15px;align-items: center;padding: 0 0 5px;}
#provider-directory .practitioner-card .top .top-main .name .card-name  h3 { margin: 0;padding: 0;font-size: 30px;}
#provider-directory .practitioner-card .top .top-main .name .accepting-new {display: flex;align-items: center;gap: 5px;font-size: 16px;font-weight: 600;background: #57a055;color: #fff;padding: 5px 12px;border-radius: 15px;}
#provider-directory .practitioner-card .top .top-main .name .accepting-new::before {content:'\f00c';font-family: "Font Awesome 5 Free";font-weight: 700;font-style: normal;text-decoration:none;margin: 0;transform-origin: center;line-height: 1em;font-size: 8px;display: inline-flex;align-items: center;justify-content: center;background: none;transition: all 0.3s ease;color: #fff;width: 15px;height: 15px;background: #30722e;border-radius: 50%;}
#provider-directory .practitioner-card .top .top-main .card-meta { }
#provider-directory .practitioner-card .top .top-main .card-meta .license-type { }
#provider-directory .practitioner-card .top .top-main .card-meta .gender { }
#provider-directory .practitioner-card .top .top-main .card-tags {display: flex;gap: 5px;flex-wrap: wrap;flex: 0.75;}
#provider-directory .practitioner-card .top .top-main .card-tags .item {background: #fff;font-weight: 700;padding: 10px 15px;border-radius: 20px;font-size: 17px;}
#provider-directory .practitioner-card .top .top-main .card-tags:has(.item) {padding: 10px 0;}
#provider-directory .practitioner-card .top .top-secondary {flex: 1;}
#provider-directory .practitioner-card .top .top-secondary .provider { }
#provider-directory .practitioner-card .card-main-sep { }
#provider-directory .practitioner-card .bottom {display: flex;align-items: center;justify-content: space-between;gap: 15px;}
#provider-directory .practitioner-card .bottom .list-items {column-count: 2;}
#provider-directory .practitioner-card .bottom .list-items .item {padding: 3px 0;}
#provider-directory .practitioner-card .bottom .list-items .item.item-languages .item::after { content:", " }
#provider-directory .practitioner-card .bottom .list-items .item.item-languages .item:last-child::after { display:none; }
#provider-directory .practitioner-card .bottom .cta { }
#provider-directory .practitioner-card .bottom .cta a {white-space: nowrap;}


/* Loading */

#provider-directory.loading #provider-directory-results-cards  {position: relative;}
#provider-directory.loading #provider-directory-results-cards::after {content:"";position: absolute;top: -10px;left: -10px;background: #ffffffbf;width: calc(100% + 20px);height: calc(100% + 20px);}
#provider-directory.loading #provider-directory-results-cards::before {content:"";width: 60px;height: 60px;border: 5px solid #18710F;border-bottom-color: #FFCC33;border-radius: 50%;display: inline-block;box-sizing: border-box;animation: spinner-rotation 1s linear infinite;position: absolute;z-index: 5;left: calc(50% - 48px);top: 100px; }
#provider-directory.loading #provider-directory .practice-card {max-height: 270px;}
#provider-directory.loading #provider-directory .practice-card .practice-card-inner *  {opacity: 0;}
#provider-directory.loading #provider-directory .practice-card::after {content:"";background: #eee;background-size: 200% 100%;background: linear-gradient(110deg, #ececec 8%, #f5f5f5 18%, #ececec 33%);background-size: 200% 100%;animation: 1.5s proDirshine linear infinite;position: absolute;height: 70px;width: 50%;top: 30px;left: 20px;border-radius: 15px;}
#provider-directory.loading #provider-directory .practice-card::before {content:"";background: #eee;background-size: 200% 100%;background: linear-gradient(110deg, #ececec 8%, #f5f5f5 18%, #ececec 33%);background-size: 200% 100%;animation: 1.5s proDirshine linear infinite;position: absolute;height: 120px;width: 95%;top: 120px;left: 20px;border-radius: 15px;}
#provider-directory.loading .provider-directory-results-header .results-meta-showing {opacity: 0;}
#provider-directory.loading #provider-directory-results-cards-load-more { display:none; }
#provider-directory.loading .col-primary {height: 100vh;overflow:hidden;}


@keyframes proDirshine {
  to {  background-position-x: -200%; }
}


#provider-directory.showing-max #provider-directory-results-cards-load-more { display:none; }

#provider-directory[data-type-showing="agency"] .practitioner-card { display:none; }
#provider-directory[data-type-showing="practitioner"] .practice-card { display:none; }



/* For admins */
#provider-directory .dupe-agency-table {font-size: 17px;border: 1px solid #000;border-right: 0;}
#provider-directory .dupe-agency-table > div {display: flex;border-bottom: 1px solid #000;}
#provider-directory .dupe-agency-table > div div {padding: 5px;flex: 1;border-right: 1px solid #000;}




@media (max-width: 980px) {
  #page-header.page-header-provider-directory .text-area h2 {font-size: 30px;}
  #provider-directory-master-search-wrapper form .search-bar-wrapper {display: flex;flex-flow: column;gap: 10px;background: none!important;border-radius: none!important;}
  #provider-directory-master-search-wrapper form .input-wrapper {position: relative;background: #fff;border-radius: 25px;}
  #provider-directory-master-search-wrapper form input[type="submit"] {width: 100%!important;height: auto!important;padding: 15px!important;}

  #provider-directory .main-inner .provider-directory-page-cols {flex-flow: column;}
  #provider-directory .main-inner .provider-directory-page-cols .col-sidebar { width:100%;  position: static;}
  #provider-directory .main-inner .provider-directory-page-cols .col-primary { width:100%; }


  #provider-directory .practice-card .top .card-name h3 {font-size: 26px;}
  #provider-directory .practice-card .top .card-col-info {font-size: 18px;}
  #provider-directory .practice-card .ctas:has(a) { flex-flow: column;}
  #provider-directory .practice-card .ctas a {width: 100%!important;display: block;font-size: 18px!important;}
  #provider-directory .practice-card .top {flex-flow: column;align-items: flex-start;gap: 0;}
  #provider-directory .practice-card .accessibility .item {font-size: 16px;padding: 10px;}

  #provider-directory .practitioner-card .top {flex-flow: column;}
  #provider-directory .practitioner-card .top .top-main .name {flex-flow: column;align-items: flex-start;gap: 5px;padding: 0 0 15px;}
  #provider-directory .practitioner-card .bottom .list-items {column-count: 1;}

}


@media print {
	
	footer#footer-primary { display: none; }
	#page-header.page-header-provider-directory { display: none; }
	#provider-directory .main-inner .provider-directory-page-cols .col-sidebar { display: none; }
	#provider-directory .provider-directory-results-header { display: none; }
	#provider-directory-results-cards-load-more { display: none; }
	#provider-directory .practice-card .card-main-sep { display: none; }
	#provider-directory .practice-card .ctas:has(a) { border:none; }
	#provider-directory .practice-card, #provider-directory .practitioner-card  { break-inside: avoid; border-bottom:1px solid #ccc; }
	#provider-directory .practitioner-card .card-main-sep { display: none; }

}